This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 517614

Summary: Opening VM spawns two instances of virt-manager
Product: [Fedora] Fedora Reporter: Dagan McGregor <bugzilla.redhat.com>
Component: gnome-applet-vmAssignee: Cole Robinson <crobinso>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: berrange, crobinso, hbrock, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-27 12:20:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dagan McGregor 2009-08-15 02:13:55 EDT
Description of problem:
When using gnome-applet-vm to open the display for a VM, it spawns two copies of virt-manager, and the second copy of virt-manager lists the VM twice.

Version-Release number of selected component (if applicable):
Arch       : x86_64
Version    : 0.2.0
Release    : 9.fc11

How reproducible:
Most of the time

Steps to Reproduce:
1. Click on applet
2. Right-click on VM, click Open
3. VM display opens, and virt-manager instances are spawned
  
Actual results:
VM display opens, and virt-manager appears twice

Expected results:
VM display opens. Not sure virt-manager display is required, there is a seperate menu option to 'Run Virtual Machine Manager...'

Additional info:
Comment 1 Dagan McGregor 2009-08-24 04:04:11 EDT
I get the impression this applet is not supported much at the moment, but it appears the two virt-manager windows spawn alongside the authentication window.

I have noticed some instances one window for virt-manager will appear with the authentication box, and the second window for virt-manager will appear when the VM display opens after being authenticated.

Other times, most of the time, both virt-manager windows appear with the authentication window, and the VM window appears by itself after being authenticated.
Comment 2 Dagan McGregor 2009-09-11 04:22:46 EDT
 Since the latest version of virt-manager appears to include new notification tray icon functionality that can replace this old and somewhat unsupported applet...

 Can we get the updated version 0.80 of virt-manager pushed into F11, so I can remove the buggy applet?

 Please? :)
Comment 3 Dagan McGregor 2009-09-17 02:39:45 EDT
 Since the gnome-applet-vm bugs aren't getting much attention, changing this to classification under virt-manager (apologies if this annoys anyone).

 As noted above, virt-manager 0.80 replicates the functionality provided by gnome-applet-vm, and since gnome-applet-vm is not supported, can we simply get it deprecated, and push virt-manager 0.80 into Fedora 11?
Comment 4 Dagan McGregor 2009-09-17 02:41:27 EDT
Note, the package for virt-manager 0.80 exists in Koji for Fedora 12 already.

 virt-manager-0.8.0-3.fc12
 http://koji.fedoraproject.org/koji/buildinfo?buildID=131921
Comment 5 Mark McLoughlin 2009-09-21 11:39:32 EDT
(In reply to comment #3)
>  Since the gnome-applet-vm bugs aren't getting much attention, changing this to
> classification under virt-manager (apologies if this annoys anyone).

Does this bug exist in the virt-manager version of the applet? I don't think it does
 
>  As noted above, virt-manager 0.80 replicates the functionality provided by
> gnome-applet-vm, and since gnome-applet-vm is not supported, can we simply get
> it deprecated, and push virt-manager 0.80 into Fedora 11?  

We have no immediate plans to push virt-manager-0.8.0 into Fedora 11, so this bug should stay open against gnome-applet-vm
Comment 6 Dagan McGregor 2009-10-04 20:49:15 EDT
 I cannot see any updated ChangeLog for virt-manager on the website, but from what I can tell, virt-manager only had the 'applet mode' added in version 0.8.0, which as you have noted isn't going to be pushed into F11.

 So I have stopped using gnome-vm-applet, and now just launch virt-manager and will wait for F12 to use the new applet functionality.
Comment 7 Dagan McGregor 2009-12-07 00:59:02 EST
 I have upgraded to F12, and no longer need gnome-applet-vm. The virt-manager upgrade works fine in it's place.
Comment 8 Cole Robinson 2010-04-27 12:20:59 EDT
gnome-applet-vm is dead upstream, and no bugs will be fixed in F11. virt-manager provides an applet in F12+ which obsoletes gnome-applet-vm. Closing as WONTFIX.
Comment 9 Bug Zapper 2010-04-28 05:46:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping